<?php
declare (strict_types = 1);

namespace app\subscribe;

use think\facade\Log;

class User
{
    // 自然流量进入【即非邀请进入 且 手机通过授权】 通知管理员
    public function onNewUser()
    {

        Log::info('触发事件：新增用户 通知');
        // 新增用户 phone_active=1
        // 1、该用户是否有绑定客服，有的话通知客服
        // 2、该用户没有绑定客服，通知管理员




        // 通知客服
        // 新增用户 通知对应客服 该事件触发的地方有 1、后台手动分配用户给客服 2、新用户注册时绑定有客服【即客服邀请】

        // 通知管理员
    }
}
